﻿using System.ComponentModel;

namespace WisejWebDesktopApplication3
{
    public class SomeData : INotifyPropertyChanged
    {
        private int _intValue;
        public int IntValue {
            get { return _intValue; }
            set
            {
                _intValue = value;
                OnPropertyChanged(nameof(IntValue));
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}