﻿
using System;
using System.ComponentModel;
using Wisej.Web;

namespace WisejWebDesktopApplication3
{
    public partial class Window1 : Form
    {
        private static BindingList<SomeData> _listForDGV;

        public Window1()
        {
            InitializeComponent();

            MessageService.Message += ReceivedAMessage;
        }

        private void ReceivedAMessage(object sender, BackgroundServiceEventArgs e)
        {
            Application.Update(this, () =>
            {
                textBox1.Text += "Msg";
            });
        }

        private void Window1_Load(object sender, EventArgs e)
        {
            if (_listForDGV == null)
            {
                _listForDGV = new BindingList<SomeData>();
                _listForDGV.Add(new SomeData() { IntValue = 10 });
                _listForDGV.Add(new SomeData() { IntValue = 11 });
                _listForDGV.Add(new SomeData() { IntValue = 12 });
            }

            dataGridView1.DataSource = _listForDGV;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            _listForDGV[1].IntValue += 10;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            MessageService.SendMessage();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            _listForDGV[1].IntValue += 10;
            MessageService.SendMessage();
        }
    }
}
